function matrice = FCT_Rot_X(alpha)
/* matrice = FCT_Rot_X(alpha) //permet, en fonction de l'angle alpha en radian,
   de disposer de la matrice (4, 4) de transformation homogène Rot(x, alpha). */
matrice = [1 0 0 0 ;0 cos(alpha) -sin(alpha) 0 ;0 sin(alpha) cos(alpha) 0 ;0 0 0 1];
end

function matrice = FCT_Rot_Z(theta)
/* matrice = FCT_Rot_Z(theta) permet, en fonction de l'angle theta en radian, 
   de disposer de la matrice (4, 4) de transformation homogène Rot(z, theta). */
matrice = [cos(theta) -sin(theta) 0 0 ;sin(theta) cos(theta) 0 0 ;0 0 1 0 ;0 0 0 1];
end

function matrice = FCT_Trans_X(d)
/* matrice = FCT_Trans_X(d) permet, en fonction de la distance d, 
   de disposer de la matrice (4, 4) de transformation homogène Trans(x,d). */
matrice = [1 0 0 d ;0 1 0 0 ;0 0 1 0 ;0 0 0 1];
end

function matrice = FCT_Trans_Z(r)
/* matrice = FCT_Trans_Z(r) permet, en fonction de la distance r, 
   de disposer de la matrice (4, 4) de transformation homogène Trans(z,r). */
matrice = [1 0 0 0 ;0 1 0 0 ;0 0 1 r ;0 0 0 1];
end

/* suite du script Scilab */

